let app = getApp();
let domain = app.globalData.domain;
//获取用户信息的url

let addExSignUrl = domain + "/dingding/addExSign";
let delExSignUrl = domain + "/dingding/delExSign";

Page({
  
  data: {
     signList:[],
     mid:null,
     personNum:0
  },


  formSubmit: function(e){
    console.log('form发生了submit事件，携带数据为：', e.detail.value);

     var _this = this;
     if(e.detail.value.signName.length == 0){
        dd.alert({
          title: "用户名不能为空",
          buttonText: '确定'
        })
        return false;
     }
      
       var sign ={'signName':e.detail.value.signName ,'signEmail':e.detail.value.signEmail ,"signMobile" : e.detail.value.signMobile};
       var signList;
       //获取缓存中的参会人员列表
     dd.getStorage({
       key: 'signList',
      success: function(res) {
        //console.log(res.data);
        if(res.data==null) {
           signList =[]; 
        }else {
           signList=res.data;
        }
        
        //添加参会人员
        signList.push(sign);
        //将新加的参会人员加入缓存中
          dd.setStorage({
           key: 'signList',
          data:signList,
         success: function() {
           //提示添加成功
          dd.alert({
            title: '添加成功',
            content: '添加成功',
            buttonText: '确定',
            success: () => {
              
              // var signList2= _this.data.signList;
              // signList2=signList;
              _this.setData({
                signList
              })
              //添加一个外部人员是否添加成功标  
            }, 
          });
        }
       });

       
     },
    fail: function(res){
       dd.alert({content: res.errorMessage});
     }
    });
    //    dd.setStorage({
    //             key:'issavevisitor',
    //             data:'1',
    //             success:function(){
    //           _this.setData({
    //             personNum: _this.data.personNum + 1,
    //             employeeList,
    //           });
    //             }
    //           })

    //  dd.alert({
    //         title: '添加成功',
    //         content: '添加成功',
    //         buttonText: '确定',
    //         success: () => {
              
    //           var employeeList= _this.data.employeeList;
    //           var emp={};
    //           emp['name'] = res.data.result.signName;
    //           emp['id'] = res.data.result.signId;
    //           emp['checked'] = true;
    //           employeeList[employeeList.length-1]=emp;
    //           //添加一个外部人员是否添加成功标识
              
    //           //console.log('employeeList---',_this.data.employeeList);



    //         }, 
    //       });
    // if (e.detail.value.signMobile.length != 0) {
    //   var phoneReg = /(^1[3|4|5|7|8]\d{9}$)|(^09\d{8}$)/;
    //   var phone = e.detail.value.signMobile;
    //   if (!phoneReg.test(phone)) {
    //     dd.alert({
    //       title: "添加失败",
    //       content: "手机格式错误",
    //       buttonText: '确定'
    //     })
    //     return false;
    //   }




    // } else {
    //   dd.alert({
    //     title: "添加失败",
    //     content: "手机不为空",
    //     buttonText: '确定'
    //   });
    //   return false;
    // }
    // if (e.detail.value.signEmail.length!=0 ) {
    // var  reg = /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
    //   var email = e.detail.value.signEmail;
    //   if (!reg.test(email)) {
    //     dd.alert({
    //       title: "添加失败",
    //       content: "邮箱格式错误",
    //       buttonText: '确定'
    //     });
    //     return false;

    //   }
     
    // } else {
    //   dd.alert({
    //     title: "添加失败",
    //     content: "邮箱不为空",
    //     buttonText: '确定'
    //   });
    //   return false;
    // }
   


    // dd.httpRequest({
    //   url: addExSignUrl,
    //   method: 'POST',
    //   data: {
    //     mid: _this.data.mid,
    //     signMobile: e.detail.value.signMobile,
    //     signEmail: e.detail.value.signEmail,
    //     signName: e.detail.value.signName,
        
    //   },
    //   dataType: 'json',
      
    //   success: function(res) {

    //      console.log('success----', res)
    //     if (res.data.success) {
      
                  

    //     } else {
    //       dd.showToast({
    //         type: 'fail',
    //         content: res.data.message,
    //         duration: 3000,
    //         success: () => {
    //           //  dd.navigateTo({
    //           //    url: '../index/index'
    //           //  });
    //         },
    //       });
    //     }
          


    //   },
    //   fail: function(res) {
    //     console.log("httpRequestFail---", res)
    //     dd.alert({ content: JSON.stringify(res) });
    //   },
    //   complete: function(res) {
    //     dd.hideLoading();
    //   }

    // });
  },

  deleteSign:function (e){
     //console.log(e);
     var _this=this;
      var index=e.currentTarget.dataset.id;
      var signList;
        dd.getStorage({
       key: 'signList',
      success: function(res) {
        // console.log(res.data);
       
           signList=res.data;
        
        
        //删除参会人员
        signList.splice(index,1);
        // console.log("删除后的列表",signList)
        //将新加的参会人员加入缓存中
          dd.setStorage({
           key: 'signList',
          data:signList,
         success: function() {
        
        
              
             
              _this.setData({
                signList
              })
              //添加一个外部人员是否添加成功标  
           
         
        }
       });

       
     },
    fail: function(res){
       dd.alert({content: res.errorMessage});
     }
    });
     
    // dd.httpRequest({
    //   url: delExSignUrl,
    //   method: 'POST',
    //   data: {
    //     signId: e.currentTarget.dataset.id,

    //   },
    //   dataType: 'json',
    //   success: function(res) {
    //     //   console.log('success----', res)


    //     if (res.data.success) {
    //       //console.log("预定成功");
    //       const index = e.currentTarget.dataset.index;
    //       var employeeList = _this.data.employeeList;
    //       employeeList = remove(employeeList, index);
    //       _this.setData({
    //         employeeList
    //       })
    //     } else {
    //       dd.showToast({
    //         type: 'fail',
    //         content: res.data.message,
    //         duration: 3000,
    //         success: () => {
    //           //  dd.navigateTo({
    //           //    url: '../index/index'
    //           //  });
    //         },
    //       });
    //     }
    //   },
    //   fail: function(res) {
    //     console.log("httpRequestFail---", res)
    //     //dd.alert({ content: JSON.stringify(res) });
    //   },
    //   complete: function(res) {
    //     dd.hideLoading();
    //   }

    // });
 

  },
  onLoad: function(query) {
    var _this=this;
    //获取是否已有添加外部人员记录
    dd.getStorage({
      key:'signList',
      success:function(res){
          var signList=res.data;
          _this.setData({
             signList
          })
        
      }
    })
  },

  onReady(query) {
    // 页面加载完成
  },
  onShow() {
    // 页面显示
   // this.onLoad()
   
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onPullDownRefresh() {
    // 页面被下拉
  },
  onReachBottom() {
    // 页面被拉到底部
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
});

function remove(array, index) {
  if (index <= (array.length - 1)) {
    for (var i = index; i < array.length; i++) {
      array[i] = array[i + 1];
    }
  }
  else {
    throw new Error('超出最大索引！');
  }
  array.length = array.length - 1;
  return array;
} 
